<?php
/*$License$*/
/*
 * $Revision: 5374 $
 * $Id: install.php 5374 2011-10-21 19:39:29Z ipso $
 * $Date: 2011-10-21 12:39:29 -0700 (Fri, 21 Oct 2011) $
 */

/*

	This files only purpose is to confirm we are running PHP5, and that the
	templates_c directory is writable so we can forward the user to License.php

*/
echo "<html><body>";
echo "Checking pre-flight requirements... ";
echo " 1...";

ini_set('display_errors', 1 ); //Try to display any errors that may arise on this page.
ini_set('default_socket_timeout', 5);
ini_set('allow_url_fopen', 1);

echo " 2...";
if ( isset($_GET['external_installer']) ) {
	$external_installer = (int)$_GET['external_installer'];
} else {
	$external_installer = 0;
}

echo " 3...";
$templates_c_dir = dirname(__FILE__) . DIRECTORY_SEPARATOR .'..'. DIRECTORY_SEPARATOR .'..'. DIRECTORY_SEPARATOR .'templates_c';

echo " 4...";
$redir = TRUE;
if ( version_compare( PHP_VERSION, 5, '<') == 1 ) {
	echo "You are currenting using PHP v<b>". PHP_VERSION ."</b> TimeTrex requires PHP <b>v5</b> or greater!<br><br>\n";
	$redir = FALSE;
}

echo " 5...";
if ( !is_writeable($templates_c_dir) ) {
	echo "<b>". $templates_c_dir ."</b> is NOT writable by your web server! For help on this topic click <a href='http://forums.timetrex.com/viewtopic.php?t=66'>here</a>.<br><br>\n";
	$redir = FALSE;
}

echo " 6...";
if ( extension_loaded( 'gettext' ) == FALSE ) {
	echo "PHP GetText extension is not installed, TimeTrex requires GetText to be installed.<br><br>\n";
	$redir = FALSE;
}

echo " 7...";
$test_template_c_sub_dir = $templates_c_dir . DIRECTORY_SEPARATOR . uniqid();
if ( @mkdir( $test_template_c_sub_dir ) !== TRUE ) {
	echo "Your web server is unable to create directories inside of: <b>". $templates_c_dir ."</b>, please give your webserver write permissions to this directory. For help on this topic click <a href='http://forums.timetrex.com/viewtopic.php?t=66'>here</a>.<br><br>\n";
	$redir = FALSE;
}
echo " 8...";
@rmdir( $test_template_c_sub_dir );
unset($test_template_c_sub_dir);

echo " 9...";
$handle = @fopen('http://www.timetrex.com/pre_install.php?os='. PHP_OS .'&php_version='. PHP_VERSION .'&redir='. (int)$redir .'&web_server='. urlencode( substr( $_SERVER['SERVER_SOFTWARE'], 0, 20 ) ) .'&external_installer='. $external_installer .'&url='. urlencode($_SERVER['HTTP_HOST'].':'.$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI']), "r");
@fclose($handle);

echo " 10...";
if ( $redir == TRUE ) {
	echo " PASSED!<br><br>\n";
	echo "Please wait while we automatically redirect you to the <a href='License.php?external_installer=". $external_installer ."'>installer</a>.";
	echo "<meta http-equiv='refresh' content='0;url=License.php?external_installer=". $external_installer ."'>";
	//header("Location: License.php?external_installer=". $external_installer ."\n\n");
} else {
	echo " FAILED!<br><br>\n";
	echo "For installation support, please join our community <a href=\"http://forums.timetrex.com\" target=\"_blank\">forums</a> or
		contact a TimeTrex support expert for <a href=\"http://www.timetrex.com/setup_support.php\" target=\"_blank\">Implementation Support Services</a>.
		<br>\n";
}
echo "</body></html>";
?>
